# Tom Wexler
# 11/1/13
# A class defining a person, and subclasses

class Person :
    
    count = 0
    
    def __init__(self,first="J",last="Doe") :
        self.first = first
        self.last = last
        Person.count = Person.count + 1
        
    def __str__(self) :
        return self.first + " " + self.last
    
    def work(self):
        print("Gotta pay the bills")
    
    def play(self):
        print("TV time!")
    
    def eat(self):
        print("Woohoo, fast food!")
        
    def sleep(self):
        print("Zzzzzzzzzzzzzzzz")
        
class Student(Person) :
    
    def __init__(self,first,last,year) :
        Person.__init__(self,first,last)
        self.year = year

    def sleep(self):
        print("So tired.... but... Internet!")
    
    def study(self):
        print("Need to study... but... Internet!")
        
    def __str__(self):
        return Person.__str__(self)+" '"+str(self.year%100)
    
class Professor(Person) :
    
    def work(self) :
        print("Grading sucks")
        
    def eat(self) :
        print("Mmm... the tears of students")
        
class TenuredProfessor(Professor) :
    
    def work(self) :
        print("Grading is for chumps")
        
    def __str__(self) :
        return "Dr. Professor "+Person.__str__(self)
    
    
    
    
    
    
    
    